[arch-commits] Commit in libpng/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Nov 8 17:27:53 EST 2009


    Date: Sunday, November 8, 2009 @ 17:27:53
  Author: eric
Revision: 58550

Merged revisions 58549 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/libpng/trunk

........
  r58549 | eric | 2009-11-08 17:27:35 -0500 (Sun, 08 Nov 2009) | 2 lines
  
  upgpkg: libpng 1.2.40-1
      Upstream update
........

Modified:
  libpng/repos/extra-x86_64/	(properties)
  libpng/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)


Property changes on: libpng/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libpng/trunk:1-49686
   + /libpng/trunk:1-58549

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-08 22:27:35 UTC (rev 58549)
+++ extra-x86_64/PKGBUILD	2009-11-08 22:27:53 UTC (rev 58550)
@@ -4,7 +4,7 @@
 # Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=libpng
-pkgver=1.2.39
+pkgver=1.2.40
 pkgrel=1
 pkgdesc="A collection of routines used to create PNG format graphics files"
 arch=('i686' 'x86_64')
@@ -14,14 +14,15 @@
 options=('!libtool')
 source=("http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
         "http://hp.vector.co.jp/authors/VA013651/lib/libpng-1.2.38-apng.patch.gz")
-options=('!libtool')
+md5sums=('29bbd1c3cbe54b04bfc2bda43067ccb5' '40ee503d0ff5386ad537df2162fb9c4e')
+sha1sums=('776cf18a799af58303590f6996f6d3aa5a7908ff' '1746e03734b2967481330ade3fb8513896ec2f95')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
 
   # Add animated PNG (apng) support
   # see http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
-  patch -p1 -i $srcdir/libpng-1.2.38-apng.patch || return 1
+  patch -p1 -i "${srcdir}/libpng-1.2.38-apng.patch" || return 1
 
   libtoolize --force --copy || return 1
   aclocal || return 1
@@ -30,13 +31,10 @@
 
   ./configure --prefix=/usr || return 1
   make ECHO=echo || return 1
-  make ECHO=echo DESTDIR=${startdir}/pkg install || return 1
+  make ECHO=echo DESTDIR="${pkgdir}" install || return 1
 
   cd contrib/pngminus
-  make ECHO=echo PNGLIB="-L${startdir}/pkg/usr/lib -lpng" -f makefile.std png2pnm pnm2png
-  install -m755 png2pnm pnm2png ${startdir}/pkg/usr/bin/
-  install -m755 -d ${startdir}/pkg/usr/share/licenses/${pkgname}
-  install -m644 ../../LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/ || return 1
+  make ECHO=echo PNGLIB="-L${pkgdir}/usr/lib -lpng" -f makefile.std png2pnm pnm2png
+  install -m755 png2pnm pnm2png "${pkgdir}/usr/bin/"
+  install -D -m644 ../../LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }
-md5sums=('4d48ecff6fc7ab12e97b07d0f65ec2f0'
-         '40ee503d0ff5386ad537df2162fb9c4e')



More information about the arch-commits mailing list